| Classes - Annotated - Tree - Functions - Home - Structure

# QVBox Class Reference

The QVBox widget performs geometry management on its children More...

`#include <qvbox.h>`

Inherits QHBox.

List of all member functions.

## Public Members

- QVBox ( QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )

## Detailed Description

The QVBox widget performs geometry management on its children

All its children will be placed vertically and sized according to their sizeHint()s.

See also QVBox and QHBox.

Examples: xform/xform.cpp

## Member Function Documentation

### QVBox::QVBox ( QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )

Constructs a vbox widget with parent parent and name name

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.